Query
query QueryMarketplaceOfferFailure($offerId: ID!) {
QueryMarketplaceOfferFailure(offerId: $offerId) {
pageInfo {
hasNextPage
hasPreviousPage
startCursor
endCursor
}
edges {
cursor
node {
id
offerId
code
message
longMessage
createdAt
}
}
nodes {
id
offerId
code
message
longMessage
createdAt
}
totalCount
}
}Variables
{
"offerId": "id"
}Response
{
"data": {
"QueryMarketplaceOfferFailure": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"endCursor": "string"
},
"edges": [
{
"cursor": "string",
"node": {
"id": "id",
"offerId": "id",
"code": "string",
"message": "string",
"longMessage": "string",
"createdAt": "value"
}
}
],
"nodes": [
{
"id": "id",
"offerId": "id",
"code": "string",
"message": "string",
"longMessage": "string",
"createdAt": "value"
}
],
"totalCount": 1
}
}
}Queries
QueryMarketplaceOfferFailure
Delivers a queryable list of offer failures for the given offer. Deprecated: use “GET /v2/scx/offers//errors” or “QueryScxOfferErrors” instead, which require the “scxoffers.read” scope.
QUERY
deprecated
QueryMarketplaceOfferFailure(offerId: ID!, first: Int, after: String, last: Int, before: String, order: [MarketplaceOfferFailureListItemSortInput!]): QueryMarketplaceOfferFailureConnectionThis endpoint is deprecated.
Arguments
offerId
ID!
required
first
Int
Returns the first n elements from the list.
after
String
Returns the elements in the list that come after the specified cursor.
last
Int
Returns the last n elements from the list.
before
String
Returns the elements in the list that come before the specified cursor.
pageInfo
Information to aid in pagination.
edges
A list of edges.
nodes
A flattened list of the nodes.
totalCount
Int!
Identifies the total count of items in the connection.
Query
query QueryMarketplaceOfferFailure($offerId: ID!) {
QueryMarketplaceOfferFailure(offerId: $offerId) {
pageInfo {
hasNextPage
hasPreviousPage
startCursor
endCursor
}
edges {
cursor
node {
id
offerId
code
message
longMessage
createdAt
}
}
nodes {
id
offerId
code
message
longMessage
createdAt
}
totalCount
}
}Variables
{
"offerId": "id"
}Response
{
"data": {
"QueryMarketplaceOfferFailure": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"endCursor": "string"
},
"edges": [
{
"cursor": "string",
"node": {
"id": "id",
"offerId": "id",
"code": "string",
"message": "string",
"longMessage": "string",
"createdAt": "value"
}
}
],
"nodes": [
{
"id": "id",
"offerId": "id",
"code": "string",
"message": "string",
"longMessage": "string",
"createdAt": "value"
}
],
"totalCount": 1
}
}
}Was this page helpful?